petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMStagVecRestoreArrayDOFRead

restore read-only access to a raw array

### Synopsis

    PetscErrorCode DMStagVecRestoreArrayDOFRead(DM dm,Vec vec,void *array)

Logically Collective

### Input Parameters

| dm | - the DMStag object
| vec | - the Vec object

### Output Parameters

array -the read-only array

### See Also

DMSTAG, DMStagVecGetArrayDOFRead(), DMDAVecRestoreArrayDOFRead()

### Level

beginner

### Location

src/dm/impls/stag/stagutils.c
Index of all DMSTAG routines
Table of Contents for all manual pages
Index of all manual pages